Bug 77796 - Selecting OnEvent activity throws NPE
Selecting OnEvent activity throws NPE
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Nikita Krjukov
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-13 12:17 UTC by Mikhail Kondratyev
Modified: 2006-08-31 02:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kondratyev 2006-06-13 12:17:22 UTC
Steps to reproduce:
 - create a new BPEL module
 - open it in designer
 - select the process, select Add Event Handlers in the context menu
 - Event Handlers activity will be created, select OnEvent activity in the
EventHandlers. 
NPE will be thrown:
java.lang.NullPointerException
	at
org.netbeans.modules.bpel.properties.nodes.OnEventNode.createSheet(OnEventNode.java:82)
	at org.openide.nodes.AbstractNode.getSheet(AbstractNode.java:398)
	at org.openide.nodes.AbstractNode.getPropertySets(AbstractNode.java:409)
	at
org.openide.explorer.propertysheet.PropertySheet.setCurrentNode(PropertySheet.java:558)
	at
org.openide.explorer.propertysheet.PropertySheet.doSetNodes(PropertySheet.java:375)
	at
org.openide.explorer.propertysheet.PropertySheet.access$300(PropertySheet.java:79)
[catch] at
org.openide.explorer.propertysheet.PropertySheet$2$1.run(PropertySheet.java:517)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 Mikhail Kondratyev 2006-06-13 12:18:55 UTC
One step missing in description:
you need to add OnEvent branch after creating the Event handlers activity
Comment 2 Nikita Krjukov 2006-07-10 19:45:59 UTC
Also a custom editor for the OnEvent element now appears correctly. 
Comment 3 Mikhail Kondratyev 2006-07-24 10:51:57 UTC
Verified in build 060723


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo